<?php

namespace Drupal\zwc\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for ZWCCore edit forms.
 *
 * @ingroup zwc
 */
class ZWCCoreForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /* @var $entity \Drupal\zwc\Entity\ZWCCore */
    $form = parent::buildForm($form, $form_state);

    $entity = $this->entity;

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;

    $status = parent::save($form, $form_state);

    switch ($status) {
      case SAVED_NEW:
        drupal_set_message($this->t('Created the %label ZWCCore.', [
          '%label' => $entity->label(),
        ]));
        break;

      default:
        drupal_set_message($this->t('Saved the %label ZWCCore.', [
          '%label' => $entity->label(),
        ]));
    }
    $form_state->setRedirect('entity.zwc_core.canonical', ['zwc_core' => $entity->id()]);
  }

}
