<?php

namespace Drupal\zwc;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of ZWCCore entities.
 *
 * @ingroup zwc
 */
class ZWCCoreListBuilder extends EntityListBuilder {


  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('ZWCCore ID');
    $header['name'] = $this->t('Name');
    $header['settings_json'] = $this->t('Settings JSON');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\zwc\Entity\ZWCCore */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.zwc_core.edit_form',
      ['zwc_core' => $entity->id()]
    );
    $row['settings_json'] = Link::createFromRoute(
      '/zwc/get-settings/' . $entity->uuid(),
      'zwc.get_settings',
      ['uuid' => $entity->uuid()]
    );
    return $row + parent::buildRow($entity);
  }

}
