<?php

/**
 * @file
 * Contains zwc_core.page.inc.
 *
 * Page callback for ZWCCore entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for ZWCCore templates.
 *
 * Default template: zwc_core.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_zwc_core(array &$variables) {
  // Fetch ZWCCore Entity Object.
  $zwc_core = $variables['elements']['#zwc_core'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
